Skip to content

Update a state

PATCH/api/v1/workspaces/{workspace_slug}/projects/{project_id}/states/{state_id}/

Updates an existing state by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path Parameters

workspace_slug:requiredstring

The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.

project_id:requiredstring

The unique identifier of the project.

state_id:requiredstring

The unique identifier for the state.

Body Parameters

name:optionalstring

Name of the state.

Scopes

projects.states:write

Update a state
bash
curl -X PATCH \  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/states/state-uuid/" \  -H "X-API-Key: $PLANE_API_KEY" \  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \  -H "Content-Type: application/json" \  -d '{  "name": "example-name" }'
Response200
json
{  "id": "project-uuid",  "name": "Project Name",  "identifier": "PROJ",  "description": "Project description",  "created_at": "2024-01-01T00:00:00Z" }